.navbar {
  display: flex;
  position: fixed;
  bottom: 20px; /* Ett litet avstånd från botten */
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--text-color);
  padding: 10px 20px;
  z-index: 10;
  justify-content: center;
  gap: 20px;
}

.logo {
  height: inherit;
}

.logo.img {
    height: 30px;
    padding: 5px;
}

/* Hamburgarknapp */
.menu-toggle {
  display: none;
  font-size: 24px;
  color: var(--bkg-color);
  background: none;
  border: none;
  cursor: pointer;
}

.menu-items {
  display: flex;
  flex-direction: row;
  gap: 20px;
}

.menu-items a {
  color: var(--bkg-color);
  text-decoration: none;
  font-size: 17px;
  padding: 10px 20px;
  background-color: var(--text-color);
  transition: background-color 0.3s, transform 0.3s;
}

.menu-items a.active {
  background-color: var(--acc-color);
  color: #fff;
  font-weight: 800;
  font-size: 20px;
}

.menu-items a:hover {
  background-color: var(--acc-color);
  color: var(--text-color);
  transform: scale(1.05);
  .menu ul {
  list-style: none;
  display: flex;
  gap: 20px;
  margin: 0;
  padding: 0;
}

.menu-items a, .menu button {
  color: white;
  text-decoration: none;
  background: none;
  border: none;
  cursor: pointer;
  font-size: 14px;
}

.menu-items .lang-switch {
  margin-left: auto; /* flyttar språkvalet till höger */
}

.menu-items .lang-switch button {
  color: #bbb;
  transition: color 0.2s, font-weight 0.2s;
}

.menu-items .lang-switch button:hover {
  color: white;
}

.menu-items .lang-switch button.active {
  color: white;
  font-weight: bold;
  text-decoration: underline;
}

@media (max-width: 700px) {
  .menu-toggle {
    display: block;
  }

  .menu-links {
    display: none;
    flex-direction: column;
    gap: 10px;
    background: #222;
    position: absolute;
    top: 60px;
    left: 0;
    right: 0;
    padding: 15px;
  }

  .menu-links.open {
    display: flex;
  }

  .menu-links a, .menu-links button {
    text-align: left;
    font-size: 16px;
  }
}